package java.nio.file;

import java.util.List;

public interface WatchKey
{
    public abstract boolean isValid();
    
    public abstract List<WatchEvent<?>> pollEvents();
    
    public abstract boolean reset();
    
    public abstract void cancel();
    
    public abstract Watchable watchable();
}
